#ifndef ASCII_CHART_DLG_H
#define ASCII_CHART_DLG_H

#include <gtk/gtk.h>


typedef struct _ascii_chart_dlg_struct	ascii_chart_dlg_struct;
#define ASCII_CHART_DLG(p)		((ascii_chart_dlg_struct *)(p))


/*
 *	ASCII Chart Dialog:
 */
struct _ascii_chart_dlg_struct {

	GtkWidget	*toplevel;
	GtkAccelGroup	*accelgrp;
	gboolean	processing;
	gint		freeze_count;

	GtkWidget	*main_vbox,
			*ok_btn;

};


extern ascii_chart_dlg_struct *ASCIIChartDlgNew(
	GtkWidget *ref_toplevel
);
extern void ASCIIChartDlgUpdateMenus(ascii_chart_dlg_struct *d);
extern gboolean ASCIIChartDlgIsMapped(ascii_chart_dlg_struct *d);
extern void ASCIIChartDlgMap(ascii_chart_dlg_struct *d);
extern void ASCIIChartDlgUnmap(ascii_chart_dlg_struct *d);
extern void ASCIIChartDlgDelete(ascii_chart_dlg_struct *d);


#endif	/* ASCII_CHART_DLG_H */
